Index: /trunk/LMDZ.GENERIC/makefile
===================================================================
--- /trunk/LMDZ.GENERIC/makefile	(revision 252)
+++ /trunk/LMDZ.GENERIC/makefile	(revision 253)
@@ -2289,5 +2302,433 @@
 	cd $(GCM)
 
-$(LIBO)/libphystd.a(physiq.o) : $(LIBF)/phystd/physiq.F \
+$(LIBO)/libphystd.a(profile.o) : $(LIBF)/phystd/profile.F \
+$(LIBO)/libbibio.a(ioipsl_getincom.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/profile.F ; \
+	$(AR) r $(LIBO)/libphystd.a profile.o ; $(RM) profile.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(rcm1d.o) : $(LIBF)/phystd/rcm1d.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comgeomfi.h \
+$(LIBF)/phystd/surfdat.h \
+$(LIBF)/phystd/comsoil.h \
+$(LIBF)/phystd/comdiurn.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/planete.h \
+$(LIBF)/phystd/comsaison.h \
+$(LIBF)/dyn3d/control.h \
+$(LIBF)/dyn3d/comvert.h \
+$(LIBF)/phystd/comg1d.h \
+$(LIBF)/phystd/watercap.h \
+$(LIBF)/phystd/fisice.h \
+$(LIBF)/dyn3d/logic.h \
+$(LIBF)/dyn3d/advtrac.h \
+$(LIBO)/libphystd.a(radcommon_h.o) \
+$(LIBO)/libbibio.a(ioipsl_getincom.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/rcm1d.F ; \
+	$(AR) r $(LIBO)/libphystd.a rcm1d.o ; $(RM) rcm1d.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(scopyi.o) : $(LIBF)/phystd/scopyi.F
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/scopyi.F ; \
+	$(AR) r $(LIBO)/libphystd.a scopyi.o ; $(RM) scopyi.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(sfluxi.o) : $(LIBF)/phystd/sfluxi.F \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/sfluxi.F ; \
+	$(AR) r $(LIBO)/libphystd.a sfluxi.o ; $(RM) sfluxi.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(sfluxv.o) : $(LIBF)/phystd/sfluxv.F \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/sfluxv.F ; \
+	$(AR) r $(LIBO)/libphystd.a sfluxv.o ; $(RM) sfluxv.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(soil.o) : $(LIBF)/phystd/soil.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comsoil.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/soil.F ; \
+	$(AR) r $(LIBO)/libphystd.a soil.o ; $(RM) soil.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(soil_settings.o) : $(LIBF)/phystd/soil_settings.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comsoil.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/soil_settings.F ; \
+	$(AR) r $(LIBO)/libphystd.a soil_settings.o ; $(RM) soil_settings.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(stelang.o) : $(LIBF)/phystd/stelang.F
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/stelang.F ; \
+	$(AR) r $(LIBO)/libphystd.a stelang.o ; $(RM) stelang.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(stellarlong.o) : $(LIBF)/phystd/stellarlong.F \
+$(LIBF)/phystd/planete.h \
+$(LIBF)/phystd/comcstfi.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/stellarlong.F ; \
+	$(AR) r $(LIBO)/libphystd.a stellarlong.o ; $(RM) stellarlong.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(surface_nature.o) : $(LIBF)/phystd/surface_nature.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBF)/phystd/fisice.h \
+$(LIBF)/phystd/comgeomfi.h \
+$(LIBF)/phystd/surfdat.h \
+$(LIBF)/phystd/comsoil.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/surface_nature.F ; \
+	$(AR) r $(LIBO)/libphystd.a surface_nature.o ; $(RM) surface_nature.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(surfini.o) : $(LIBF)/phystd/surfini.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/surfdat.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/tracer.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/surfini.F ; \
+	$(AR) r $(LIBO)/libphystd.a surfini.o ; $(RM) surfini.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(tabfi.o) : $(LIBF)/phystd/tabfi.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/comgeomfi.h \
+$(LIBF)/phystd/planete.h \
+$(LIBF)/phystd/surfdat.h \
+$(LIBF)/phystd/comsoil.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBO)/libbibio.a(ioipsl_getincom.o) \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/tabfi.F ; \
+	$(AR) r $(LIBO)/libphystd.a tabfi.o ; $(RM) tabfi.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(tpindex.o) : $(LIBF)/phystd/tpindex.F \
+$(LIBO)/libphystd.a(radinc_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/tpindex.F ; \
+	$(AR) r $(LIBO)/libphystd.a tpindex.o ; $(RM) tpindex.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(vdif_cd.o) : $(LIBF)/phystd/vdif_cd.F
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/vdif_cd.F ; \
+	$(AR) r $(LIBO)/libphystd.a vdif_cd.o ; $(RM) vdif_cd.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(vdif_kc.o) : $(LIBF)/phystd/vdif_kc.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/vdif_kc.F ; \
+	$(AR) r $(LIBO)/libphystd.a vdif_kc.o ; $(RM) vdif_kc.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(vdifc.o) : $(LIBF)/phystd/vdifc.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/surfdat.h \
+$(LIBF)/phystd/comgeomfi.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBF)/phystd/watercap.h \
+$(LIBO)/libphystd.a(watercommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/vdifc.F ; \
+	$(AR) r $(LIBO)/libphystd.a vdifc.o ; $(RM) vdifc.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(vlz_fi.o) : $(LIBF)/phystd/vlz_fi.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/vlz_fi.F ; \
+	$(AR) r $(LIBO)/libphystd.a vlz_fi.o ; $(RM) vlz_fi.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(writediagfi.o) : $(LIBF)/phystd/writediagfi.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/control.h \
+$(LIBF)/dyn3d/comvert.h \
+$(LIBF)/dyn3d/comgeom.h \
+$(LIBF)/dyn3d/description.h \
+$(LIBF)/dyn3d/temps.h \
+$(LIBF)/phystd/surfdat.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/writediagfi.F ; \
+	$(AR) r $(LIBO)/libphystd.a writediagfi.o ; $(RM) writediagfi.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(writediagspec.o) : $(LIBF)/phystd/writediagspec.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/control.h \
+$(LIBF)/dyn3d/comvert.h \
+$(LIBF)/dyn3d/comgeom.h \
+$(LIBF)/dyn3d/description.h \
+$(LIBF)/dyn3d/temps.h \
+$(LIBF)/phystd/surfdat.h \
+$(LIBO)/libphystd.a(radinc_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/writediagspec.F ; \
+	$(AR) r $(LIBO)/libphystd.a writediagspec.o ; $(RM) writediagspec.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(writeg1d.o) : $(LIBF)/phystd/writeg1d.F \
+$(LIBF)/phystd/comg1d.h \
+$(LIBF)/phystd/comg1d.h \
+$(LIBF)/phystd/comcstfi.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/writeg1d.F ; \
+	$(AR) r $(LIBO)/libphystd.a writeg1d.o ; $(RM) writeg1d.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(zerophys.o) : $(LIBF)/phystd/zerophys.F
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/zerophys.F ; \
+	$(AR) r $(LIBO)/libphystd.a zerophys.o ; $(RM) zerophys.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(N2broadprof_fn.o) : $(LIBF)/phystd/N2broadprof_fn.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/N2broadprof_fn.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a N2broadprof_fn.o ; $(RM) N2broadprof_fn.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(aeropacity.o) : $(LIBF)/phystd/aeropacity.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/comgeomfi.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBO)/libphystd.a(radinc_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/aeropacity.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a aeropacity.o ; $(RM) aeropacity.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(aeroptproperties.o) : $(LIBF)/phystd/aeroptproperties.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/aeroptproperties.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a aeroptproperties.o ; $(RM) aeroptproperties.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(ave_stelspec.o) : $(LIBF)/phystd/ave_stelspec.F90 \
+$(LIBF)/phystd/datafile.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/ave_stelspec.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a ave_stelspec.o ; $(RM) ave_stelspec.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(calc_cpp3d.o) : $(LIBF)/phystd/calc_cpp3d.F90 \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/cpdet.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/calc_cpp3d.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a calc_cpp3d.o ; $(RM) calc_cpp3d.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(calc_cpp_mugaz.o) : $(LIBF)/phystd/calc_cpp_mugaz.F90 \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/gases.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/calc_cpp_mugaz.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a calc_cpp_mugaz.o ; $(RM) calc_cpp_mugaz.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(calc_rayleigh.o) : $(LIBF)/phystd/calc_rayleigh.F90 \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/gases.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/calc_rayleigh.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a calc_rayleigh.o ; $(RM) calc_rayleigh.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(callcorrk.o) : $(LIBF)/phystd/callcorrk.F90 \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/datafile.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o) \
+$(LIBO)/libphystd.a(watercommon_h.o) \
+$(LIBO)/libbibio.a(ioipsl_getincom.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/callcorrk.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a callcorrk.o ; $(RM) callcorrk.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(condens_co2cloud.o) : $(LIBF)/phystd/condens_co2cloud.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/surfdat.h \
+$(LIBF)/phystd/comgeomfi.h \
+$(LIBF)/dyn3d/comvert.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBF)/phystd/gases.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBO)/libphystd.a(radinc_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/condens_co2cloud.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a condens_co2cloud.o ; $(RM) condens_co2cloud.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(def_var.o) : $(LIBF)/phystd/def_var.F90
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/def_var.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a def_var.o ; $(RM) def_var.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(hydrol.o) : $(LIBF)/phystd/hydrol.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBF)/phystd/fisice.h \
+$(LIBF)/phystd/comgeomfi.h \
+$(LIBF)/phystd/comdiurn.h \
+$(LIBF)/phystd/surfdat.h \
+$(LIBO)/libphystd.a(watercommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/hydrol.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a hydrol.o ; $(RM) hydrol.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(iniwritesoil.o) : $(LIBF)/phystd/iniwritesoil.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/dyn3d/comgeom.h \
+$(LIBF)/phystd/comsoil.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/iniwritesoil.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a iniwritesoil.o ; $(RM) iniwritesoil.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(interpolateH2H2.o) : $(LIBF)/phystd/interpolateH2H2.F90 \
+$(LIBF)/phystd/datafile.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/interpolateH2H2.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a interpolateH2H2.o ; $(RM) interpolateH2H2.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(kastprof_fn.o) : $(LIBF)/phystd/kastprof_fn.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/kastprof_fn.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a kastprof_fn.o ; $(RM) kastprof_fn.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(mkstat.o) : $(LIBF)/phystd/mkstat.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/statto.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/mkstat.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a mkstat.o ; $(RM) mkstat.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(moistadj.o) : $(LIBF)/phystd/moistadj.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBO)/libphystd.a(watercommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/moistadj.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a moistadj.o ; $(RM) moistadj.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(newtrelax.o) : $(LIBF)/phystd/newtrelax.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/newtrelax.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a newtrelax.o ; $(RM) newtrelax.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(optci.o) : $(LIBF)/phystd/optci.F90 \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/gases.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/optci.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a optci.o ; $(RM) optci.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(optcv.o) : $(LIBF)/phystd/optcv.F90 \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/gases.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/optcv.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a optcv.o ; $(RM) optcv.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(physiq.o) : $(LIBF)/phystd/physiq.F90 \
 $(LIBF)/grid/dimensions.h \
 $(LIBF)/phystd/dimphys.h \
@@ -2304,366 +2745,73 @@
 $(LIBF)/phystd/tracer.h \
 $(LIBF)/phystd/watercap.h \
-$(LIBF)/phystd/fisice.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
+$(LIBO)/libphystd.a(watercommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/physiq.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a physiq.o ; $(RM) physiq.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(radcommon_h.o) : $(LIBF)/phystd/radcommon_h.F90 \
 $(LIBO)/libphystd.a(radinc_h.o)
 	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/physiq.F ; \
-	$(AR) r $(LIBO)/libphystd.a physiq.o ; $(RM) physiq.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(profile.o) : $(LIBF)/phystd/profile.F \
-$(LIBO)/libbibio.a(ioipsl_getincom.o)
-	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/profile.F ; \
-	$(AR) r $(LIBO)/libphystd.a profile.o ; $(RM) profile.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(scopyi.o) : $(LIBF)/phystd/scopyi.F
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/scopyi.F ; \
-	$(AR) r $(LIBO)/libphystd.a scopyi.o ; $(RM) scopyi.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(sfluxi.o) : $(LIBF)/phystd/sfluxi.F \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/sfluxi.F ; \
-	$(AR) r $(LIBO)/libphystd.a sfluxi.o ; $(RM) sfluxi.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(sfluxv.o) : $(LIBF)/phystd/sfluxv.F \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/sfluxv.F ; \
-	$(AR) r $(LIBO)/libphystd.a sfluxv.o ; $(RM) sfluxv.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(soil.o) : $(LIBF)/phystd/soil.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/comsoil.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/soil.F ; \
-	$(AR) r $(LIBO)/libphystd.a soil.o ; $(RM) soil.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(soil_settings.o) : $(LIBF)/phystd/soil_settings.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/comsoil.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/soil_settings.F ; \
-	$(AR) r $(LIBO)/libphystd.a soil_settings.o ; $(RM) soil_settings.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(solang.o) : $(LIBF)/phystd/solang.F
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/solang.F ; \
-	$(AR) r $(LIBO)/libphystd.a solang.o ; $(RM) solang.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(solarlong.o) : $(LIBF)/phystd/solarlong.F \
-$(LIBF)/phystd/planete.h \
-$(LIBF)/phystd/comcstfi.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/solarlong.F ; \
-	$(AR) r $(LIBO)/libphystd.a solarlong.o ; $(RM) solarlong.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(surfini.o) : $(LIBF)/phystd/surfini.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/surfdat.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBF)/phystd/tracer.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/surfini.F ; \
-	$(AR) r $(LIBO)/libphystd.a surfini.o ; $(RM) surfini.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(tabfi.o) : $(LIBF)/phystd/tabfi.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/comgeomfi.h \
-$(LIBF)/phystd/planete.h \
-$(LIBF)/phystd/surfdat.h \
-$(LIBF)/phystd/comsoil.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBO)/libbibio.a(ioipsl_getincom.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/tabfi.F ; \
-	$(AR) r $(LIBO)/libphystd.a tabfi.o ; $(RM) tabfi.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(tpindex.o) : $(LIBF)/phystd/tpindex.F \
-$(LIBO)/libphystd.a(radinc_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/tpindex.F ; \
-	$(AR) r $(LIBO)/libphystd.a tpindex.o ; $(RM) tpindex.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(vdif_cd.o) : $(LIBF)/phystd/vdif_cd.F
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/vdif_cd.F ; \
-	$(AR) r $(LIBO)/libphystd.a vdif_cd.o ; $(RM) vdif_cd.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(vdifc.o) : $(LIBF)/phystd/vdifc.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBF)/phystd/surfdat.h \
-$(LIBF)/phystd/comgeomfi.h \
+	$(COMPTRU90) $(LIBF)/phystd/radcommon_h.F90 ; \
+	mv $(MOD_LOC_DIR)/radcommon_h.$(MOD_SUFFIX) $(LIBO)/radcommon_h.$(MOD_SUFFIX) ; \
+	$(AR) r $(LIBO)/libphystd.a radcommon_h.o ; $(RM) radcommon_h.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(radinc_h.o) : $(LIBF)/phystd/radinc_h.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/grid/bands.h
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/radinc_h.F90 ; \
+	mv $(MOD_LOC_DIR)/radinc_h.$(MOD_SUFFIX) $(LIBO)/radinc_h.$(MOD_SUFFIX) ; \
+	$(AR) r $(LIBO)/libphystd.a radinc_h.o ; $(RM) radinc_h.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(rain.o) : $(LIBF)/phystd/rain.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
 $(LIBF)/phystd/tracer.h \
-$(LIBF)/phystd/watercap.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
 $(LIBO)/libphystd.a(watercommon_h.o)
 	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/vdifc.F ; \
-	$(AR) r $(LIBO)/libphystd.a vdifc.o ; $(RM) vdifc.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(vdif_kc.o) : $(LIBF)/phystd/vdif_kc.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/vdif_kc.F ; \
-	$(AR) r $(LIBO)/libphystd.a vdif_kc.o ; $(RM) vdif_kc.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(vlz_fi.o) : $(LIBF)/phystd/vlz_fi.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/vlz_fi.F ; \
-	$(AR) r $(LIBO)/libphystd.a vlz_fi.o ; $(RM) vlz_fi.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(writediagfi.o) : $(LIBF)/phystd/writediagfi.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/control.h \
-$(LIBF)/dyn3d/comvert.h \
-$(LIBF)/dyn3d/comgeom.h \
-$(LIBF)/dyn3d/description.h \
-$(LIBF)/dyn3d/temps.h \
-$(LIBF)/phystd/surfdat.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/writediagfi.F ; \
-	$(AR) r $(LIBO)/libphystd.a writediagfi.o ; $(RM) writediagfi.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(writediagspec.o) : $(LIBF)/phystd/writediagspec.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/control.h \
-$(LIBF)/dyn3d/comvert.h \
-$(LIBF)/dyn3d/comgeom.h \
-$(LIBF)/dyn3d/description.h \
-$(LIBF)/dyn3d/temps.h \
-$(LIBF)/phystd/surfdat.h \
-$(LIBO)/libphystd.a(radinc_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/writediagspec.F ; \
-	$(AR) r $(LIBO)/libphystd.a writediagspec.o ; $(RM) writediagspec.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(writeg1d.o) : $(LIBF)/phystd/writeg1d.F \
-$(LIBF)/phystd/comg1d.h \
-$(LIBF)/phystd/comg1d.h \
-$(LIBF)/phystd/comcstfi.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/writeg1d.F ; \
-	$(AR) r $(LIBO)/libphystd.a writeg1d.o ; $(RM) writeg1d.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(zerophys.o) : $(LIBF)/phystd/zerophys.F
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/zerophys.F ; \
-	$(AR) r $(LIBO)/libphystd.a zerophys.o ; $(RM) zerophys.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(aeropacity.o) : $(LIBF)/phystd/aeropacity.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/comgeomfi.h \
-$(LIBF)/phystd/tracer.h \
-$(LIBO)/libphystd.a(radinc_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/aeropacity.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a aeropacity.o ; $(RM) aeropacity.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(aeroptproperties.o) : $(LIBF)/phystd/aeroptproperties.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/aeroptproperties.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a aeroptproperties.o ; $(RM) aeroptproperties.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(aeroptpropertiesJBnew.o) : $(LIBF)/phystd/aeroptpropertiesJBnew.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/aeroptpropertiesJBnew.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a aeroptpropertiesJBnew.o ; $(RM) aeroptpropertiesJBnew.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(ave_stelspec.o) : $(LIBF)/phystd/ave_stelspec.F90 \
+	$(COMPTRU90) $(LIBF)/phystd/rain.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a rain.o ; $(RM) rain.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(setspi.o) : $(LIBF)/phystd/setspi.F90 \
+$(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/comcstfi.h \
 $(LIBF)/phystd/datafile.h \
 $(LIBO)/libphystd.a(radinc_h.o) \
 $(LIBO)/libphystd.a(radcommon_h.o)
 	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/ave_stelspec.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a ave_stelspec.o ; $(RM) ave_stelspec.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(calc_cpp3d.o) : $(LIBF)/phystd/calc_cpp3d.F90 \
-$(LIBF)/phystd/comcstfi.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/calc_cpp3d.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a calc_cpp3d.o ; $(RM) calc_cpp3d.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(calc_rayleigh.o) : $(LIBF)/phystd/calc_rayleigh.F90 \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/calc_rayleigh.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a calc_rayleigh.o ; $(RM) calc_rayleigh.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(condens_co2cloud.o) : $(LIBF)/phystd/condens_co2cloud.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/surfdat.h \
-$(LIBF)/phystd/comgeomfi.h \
-$(LIBF)/dyn3d/comvert.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBF)/phystd/tracer.h \
-$(LIBO)/libphystd.a(radinc_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/condens_co2cloud.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a condens_co2cloud.o ; $(RM) condens_co2cloud.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(def_var.o) : $(LIBF)/phystd/def_var.F90
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/def_var.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a def_var.o ; $(RM) def_var.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(iniwritesoil.o) : $(LIBF)/phystd/iniwritesoil.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/dyn3d/comgeom.h \
-$(LIBF)/phystd/comsoil.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/iniwritesoil.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a iniwritesoil.o ; $(RM) iniwritesoil.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(mkstat.o) : $(LIBF)/phystd/mkstat.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/statto.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/mkstat.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a mkstat.o ; $(RM) mkstat.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(moistadj.o) : $(LIBF)/phystd/moistadj.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/tracer.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBO)/libphystd.a(watercommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/moistadj.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a moistadj.o ; $(RM) moistadj.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(optci.o) : $(LIBF)/phystd/optci.F90 \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/optci.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a optci.o ; $(RM) optci.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(radcommon_h.o) : $(LIBF)/phystd/radcommon_h.F90 \
-$(LIBO)/libphystd.a(radinc_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/radcommon_h.F90 ; \
-	mv $(MOD_LOC_DIR)/radcommon_h.$(MOD_SUFFIX) $(LIBO)/radcommon_h.$(MOD_SUFFIX) ; \
-	$(AR) r $(LIBO)/libphystd.a radcommon_h.o ; $(RM) radcommon_h.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(radinc_h.o) : $(LIBF)/phystd/radinc_h.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/grid/bands.h
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/radinc_h.F90 ; \
-	mv $(MOD_LOC_DIR)/radinc_h.$(MOD_SUFFIX) $(LIBO)/radinc_h.$(MOD_SUFFIX) ; \
-	$(AR) r $(LIBO)/libphystd.a radinc_h.o ; $(RM) radinc_h.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(rain.o) : $(LIBF)/phystd/rain.F90 \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/tracer.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBO)/libphystd.a(watercommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/rain.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a rain.o ; $(RM) rain.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(setspi.o) : $(LIBF)/phystd/setspi.F90 \
-$(LIBF)/phystd/callkeys.h \
-$(LIBF)/phystd/comcstfi.h \
+	$(COMPTRU90) $(LIBF)/phystd/setspi.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a setspi.o ; $(RM) setspi.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(setspv.o) : $(LIBF)/phystd/setspv.F90 \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
 $(LIBF)/phystd/datafile.h \
 $(LIBO)/libphystd.a(radinc_h.o) \
 $(LIBO)/libphystd.a(radcommon_h.o)
 	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/setspi.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a setspi.o ; $(RM) setspi.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(setspv.o) : $(LIBF)/phystd/setspv.F90 \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBF)/phystd/datafile.h \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
 	$(COMPTRU90) $(LIBF)/phystd/setspv.F90 ; \
 	$(AR) r $(LIBO)/libphystd.a setspv.o ; $(RM) setspv.o ; \
 	cd $(GCM)
 
+$(LIBO)/libphystd.a(simpleprof_fn.o) : $(LIBF)/phystd/simpleprof_fn.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBO)/libphystd.a(radcommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/simpleprof_fn.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a simpleprof_fn.o ; $(RM) simpleprof_fn.o ; \
+	cd $(GCM)
+
 $(LIBO)/libphystd.a(stokes.o) : $(LIBF)/phystd/stokes.F90 \
 $(LIBF)/phystd/comcstfi.h
@@ -2671,4 +2819,18 @@
 	$(COMPILE) $(LIBF)/phystd/stokes.F90 ; \
 	$(AR) r $(LIBO)/libphystd.a stokes.o ; $(RM) stokes.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(su_gases.o) : $(LIBF)/phystd/su_gases.F90
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/su_gases.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a su_gases.o ; $(RM) su_gases.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(su_watercycle.o) : $(LIBF)/phystd/su_watercycle.F90 \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBO)/libphystd.a(watercommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPTRU90) $(LIBF)/phystd/su_watercycle.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a su_watercycle.o ; $(RM) su_watercycle.o ; \
 	cd $(GCM)
 
@@ -2689,4 +2851,5 @@
 $(LIBF)/phystd/datafile.h \
 $(LIBF)/phystd/callkeys.h \
+$(LIBF)/phystd/gases.h \
 $(LIBO)/libphystd.a(radinc_h.o) \
 $(LIBO)/libphystd.a(radcommon_h.o) \
@@ -2699,10 +2862,15 @@
 	cd $(GCM)
 
-$(LIBO)/libphystd.a(su_watercycle.o) : $(LIBF)/phystd/su_watercycle.F90 \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBO)/libphystd.a(watercommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/su_watercycle.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a su_watercycle.o ; $(RM) su_watercycle.o ; \
+$(LIBO)/libphystd.a(totalcloudfrac.o) : $(LIBF)/phystd/totalcloudfrac.F90 \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBF)/phystd/fisice.h \
+$(LIBF)/phystd/comgeomfi.h \
+$(LIBF)/phystd/comdiurn.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/totalcloudfrac.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a totalcloudfrac.o ; $(RM) totalcloudfrac.o ; \
 	cd $(GCM)
 
@@ -2714,9 +2882,9 @@
 	cd $(GCM)
 
-$(LIBO)/libphystd.a(watersat_2.o) : $(LIBF)/phystd/watersat_2.F90 \
+$(LIBO)/libphystd.a(watersat.o) : $(LIBF)/phystd/watersat.F90 \
 $(LIBO)/libphystd.a(watercommon_h.o)
 	cd $(LOCAL_DIR); \
-	$(COMPTRU90) $(LIBF)/phystd/watersat_2.F90 ; \
-	$(AR) r $(LIBO)/libphystd.a watersat_2.o ; $(RM) watersat_2.o ; \
+	$(COMPTRU90) $(LIBF)/phystd/watersat.F90 ; \
+	$(AR) r $(LIBO)/libphystd.a watersat.o ; $(RM) watersat.o ; \
 	cd $(GCM)
 
